#### D.5.4.6 isEqualDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  isEqualDivisor(A,B); A = divisor, B = divisor.

Assume:
  A and B are divisors on X.

Return:
  int 0 or 1, checks equality of A and B.

Theory:
  The procedure will compute the normal forms of A and B and compare.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    divisor D = (A+B)+multdivisor(-1,B);
    isEqualDivisor(A,D);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.